#ifndef POINT3DINC
#define POINT3DINC

#include <math.h>

class Point_2d
{
public:
	Point_2d();

	Point_2d( double nx, double ny);
	double Magnitude();
	void Normalize();
	static double Distance(Point_2d& p1, Point_2d& p2);
	Point_2d operator* (double scale);
	Point_2d operator/ (double scale);
	void operator*= (double scale);
	void operator/= (double scale);
	
	int operator==( Point_2d other);
	Point_2d operator- ( Point_2d other);
	Point_2d operator+ ( Point_2d other);
	void operator-= ( Point_2d other);
	void operator+= ( Point_2d other);
	
	double x;
	double y;
};

#endif