#ifndef POTENTIALINC
#define POTENTIALINC

#include "scenegraph.h"
#include "particle.h"

class PotentialLayer : public SceneLayer
{
public:
	PotentialLayer (ParticleLayer* p) ;
	int Draw( );
	void SetActive(int active);
	int GetActive() { return Active; }
private:
	int Active;
	float Multiplier;
	float CalcField( Point_2d& pos);
	ParticleLayer* Particles;
};

#endif